[web]
baseurl = "http://localhost"
listenAddr = ":3100"

[oidc]
clientid = "tcs-devel-ca-kit-edu"
returnURL = "http://localhost:3100/oidc/callback"
loginSuccessPath = "/"
tokenLifetime = "1h"

[jwt]
# Necessary to provide stable sessions on backend restart.
secret = "{{ JWT_SECRET }}"

[ldap]
bindDN = "scc-ism-ca2ad"
bindPassword = "{{ LDAP_PW }}"

[postgresql]
databaseURL = "postgresql://tcs-devel:{{ DB_PW }}@postgres.ca.kit.edu:5432/tcs-devel?sslmode=verify-full"

[email]
server = "smarthost.kit.edu:25"
fromaddr = "portal-dev-local@ca.kit.edu"
fromname = "KIT-CA Portal Robot"
adminaddrs = {{ ADMIN_MAIL_ADDR_ARRAY_STR }}
signingKey = "/tmp/smime.key"
signingCert = "/tmp/smime.pem"
signingChain = "/PortalDevRootCA.pem"

[vault]
secret = "{{ VAULT_SECRET }}"

[znuny]
username = ""
password = ""
dryRun = true